<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// No direct access
defined('_JEXEC') or die;

/**
 * @param    array    A named array
 *
 * @return    array
 */
function DoceboBuildRoute(&$query) {
	$segments = array();

	if (isset($query['task'])) {
		$segments[] = implode('/', explode('.', $query['task']));
		unset($query['task']);
	}
	if (isset($query['id'])) {
		$segments[] = $query['id'];
		unset($query['id']);
	}

	return $segments;
}

/**
 * @param    array    A named array
 * @param    array
 *
 * Formats:
 *
 * index.php?/docebo/task/id/Itemid
 *
 * index.php?/docebo/id/Itemid
 */
function DoceboParseRoute($segments) {
	$vars = array();

	// view is always the first element of the array
	$count = count($segments);

	if ($count) {
		$count--;
		$segment = array_pop($segments);
		if (is_numeric($segment)) {
			$vars['id'] = $segment;
		} else {
			$count--;
			$vars['task'] = array_pop($segments) . '.' . $segment;
		}
	}

	if ($count) {
		$vars['task'] = implode('.', $segments);
	}

	return $vars;
}
